summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarri Nieminen <moikkis@gmail.com>2017-02-14 15:22:40 +0200
committerDavid Seifert <soap@gentoo.org>2017-02-14 20:42:21 +0100
commitbd72bfe9f70a5f07e0c58d0d19f36b46a14ca97d (patch)
treeef7178cd2d8858a04530b376383c609541480484 /x11-misc/bbpager/bbpager-0.4.7-r1.ebuild
parentx11-misc/bbmail: EAPI bump 2 -> 6 (diff)
downloadgentoo-bd72bfe9f70a5f07e0c58d0d19f36b46a14ca97d.tar.gz
gentoo-bd72bfe9f70a5f07e0c58d0d19f36b46a14ca97d.tar.bz2
gentoo-bd72bfe9f70a5f07e0c58d0d19f36b46a14ca97d.zip
x11-misc/bbpager: EAPI bump 0 -> 6
Package-Manager: Portage-2.3.3, Repoman-2.3.1 Closes: https://github.com/gentoo/gentoo/pull/3967
Diffstat (limited to 'x11-misc/bbpager/bbpager-0.4.7-r1.ebuild')
-rw-r--r--x11-misc/bbpager/bbpager-0.4.7-r1.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/x11-misc/bbpager/bbpager-0.4.7-r1.ebuild b/x11-misc/bbpager/bbpager-0.4.7-r1.ebuild
new file mode 100644
index 00000000000..d57e5bb7722
--- /dev/null
+++ b/x11-misc/bbpager/bbpager-0.4.7-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="An understated pager for Blackbox"
+HOMEPAGE="http://bbtools.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bbtools/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND="x11-wm/blackbox"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO data/README.bbpager )
+PATCHES=(
+ "${FILESDIR}/${P}-gcc43.patch"
+ "${FILESDIR}/${P}-as-needed.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_install() {
+ default
+ rm "${ED%/}"/usr/share/bbtools/README.bbpager || die
+}